Description

A really useful enhancement for qgis (and obviously qgis-server)

could be the capability to define an "Acetate Layer".

It is a layer not linked to a datasource, but completely defined by the user.

An acetate layer should allow to define a label with a text or a symbol or an image.

If it is an image it could be addressed by a path on filesystem.

Otherwise if it is a text label, it could be a text with an outline or without.

(a logo for example) addressed by filesystem.

An acetate layer in ist properties should allow to define 

the text to draw using a choosed font, a choosed color and a choosed type (bold, regular, italic) 

also allow to give the starting coords to some coords defined in the acetate layer properties, 

also the starting pixel-coordinates and also the angle (0-360)

please notice, the coordinates are defined as fixed pixel coordinate, instead of a geographic coord.

So for example giving 

text= "copyright alfa beta" 

and

coords="10,10" 

and

angle="90"

the acetate when light-on will draw the text given starting from pixel

10,10 along a virtual line with an angle of 90 degree.

This will allow to have always a copyright watermark (or a copyright image-logo) always in the same position 

of the generated map.

History

#1 - 2012-04-15 10:22 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#2 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2012-10-06 02:21 AM - Paolo Cavallini

- Target version changed from Future Release - Nice to have to Version 2.0.0
#4 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
